Subject: Call for Feedback on the current IETF Liaison to the ICANN Board of Directors

From: IAB Chair <[email-masked]>
Date: Thu, 4 Jun 2015 19:06:00 -0400

Dear colleagues,

As part of its oversight responsibility for the technical liaison
relationships with other organizations concerned with standards and
other technical and organizational issues relevant to the world-wide
Internet, the IAB is soliciting comments from the community on the
performance of the current IETF Liaison to the ICANN Board of Directors,
Jonne Soininen.  We are interested in comments on what has gone well or
badly in the last several years.  Jonne has been serving in the position
since 2013.

Please send comments to iab-chair at iab.org and execd at iab.org.

We would appreciate receiving comments by 23 June 2015, as the IAB will
likely begin the next steps in the oversight process shortly before
IETF 93 in Prague.

Thank you,
Andrew Sullivan
IAB Chair